"""Get rid of resolution_result

Revision ID: 5576cfc14700
Revises: 525ad809cccb
Create Date: 2015-02-23 16:19:25.538606

"""

# revision identifiers, used by Alembic.
revision = '5576cfc14700'
down_revision = '525ad809cccb'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('repo',
    sa.Column('repo_id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('repo_id')
    )
    op.drop_column('package', 'last_resolution_id')
    op.create_table('resolution_problem',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('package_id', sa.Integer(), nullable=False),
    sa.Column('problem', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['package_id'], [u'package.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('ix_resolution_problem_package_id', 'resolution_problem', ['package_id'], unique=False)
    op.drop_table('resolution_result_element')
    op.drop_table('resolution_result')
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('package', sa.Column('last_resolution_id', sa.INTEGER(), autoincrement=False, nullable=True))
    op.create_table('resolution_result',
    sa.Column('id', sa.INTEGER(), server_default="nextval('resolution_result_id_seq'::regclass)", nullable=False),
    sa.Column('package_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('resolved', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.Column('repo_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('generated', postgresql.TIMESTAMP(), server_default='now()', autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['package_id'], [u'package.id'], name=u'resolution_result_package_id_fkey', ondelete=u'CASCADE'),
    sa.PrimaryKeyConstraint('id', name=u'resolution_result_pkey'),
    postgresql_ignore_search_path=False
    )
    op.create_table('resolution_result_element',
    sa.Column('id', sa.INTEGER(), server_default="nextval('resolution_result_element_id_seq'::regclass)", nullable=False),
    sa.Column('resolution_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('problem', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['resolution_id'], [u'resolution_result.id'], name=u'resolution_result_element_resolution_id_fkey', ondelete=u'CASCADE'),
    sa.PrimaryKeyConstraint('id', name=u'resolution_result_element_pkey')
    )
    op.drop_index('ix_resolution_problem_package_id', table_name='resolution_problem')
    op.drop_table('resolution_problem')
    op.drop_table('repo')
    ### end Alembic commands ###
